# Generated by Django 4.2.7 on 2024-06-04 11:09

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ('cap', '0017_capalertpage_expires'),
    ]

    operations = [
        migrations.CreateModel(
            name='CAPAlertWebhook',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='Name')),
                ('url', models.URLField(max_length=255, unique=True, verbose_name='Webhook URL')),
                ('active', models.BooleanField(default=True, verbose_name='Active')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('retry_on_failure', models.BooleanField(default=True, verbose_name='Retry on failure')),
            ],
            options={
                'verbose_name': 'CAP Alert Webhook',
                'verbose_name_plural': 'CAP Alert Webhooks',
            },
        ),
        migrations.CreateModel(
            name='CAPAlertWebhookEvent',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status',
                 models.CharField(choices=[('PENDING', 'Pending'), ('FAILURE', 'Failure'), ('SUCCESS', 'Success')],
                                  default='PENDING', editable=False, max_length=40, verbose_name='Status')),
                ('retries', models.IntegerField(default=0, verbose_name='Retries')),
                ('error', models.TextField(blank=True, null=True, verbose_name='Last Error Message')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('alert', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='webhook_events',
                                            to='cap.capalertpage')),
                ('webhook', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='events',
                                              to='cap.capalertwebhook')),
            ],
            options={
                'verbose_name': 'CAP Alert Webhook Event',
                'verbose_name_plural': 'CAP Alert Webhook Events',
            },
        ),
    ]
